Subject: RE: [Mipshop] new charter

From: [email-masked]
Date: Sun, 9 Oct 2005 22:18:42 -0500

Ajoy,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext Singh Ajoy-ASINGH1
Sent: Sunday, October 09, 2005 01:07
To: [email-masked]; Rajeev Koodli
Cc: [email-masked]
Subject: RE: [Mipshop] new charter

Gabriel, 

Please find my inline questions and comments about the proposed charter. 

Regards,

Ajoy 

Additionally, the IEEE 802.21 Media Independent Handoff (MIH) working group aims at providing services to assist with handoffs between heterogeneous link-layer technologies, and across IP subnet boundaries.  The information exchanges defined by IEEE 802.21 are classified as MI (Media Independent) Event Service (MIES), MI Command Service (MICS), and MI Information Service (MIIS). The MIIS provides topological and location-related information of service networks.  The MIES provides timely communications of wireless environment information via the delivery of events originating across the link-layer or farther away.  The MICS is an analogous service for commands which can change the state of the wireless link or of a host's point of attachment, potentially triggering further event generation. MIH services can be delivered through link-layer specific solutions and/or through a "layer 3 or above" protocol. MIPSHOP will define the delivery of information for MIH services for this latter case. Notice that this allows the network information to reside anywhere (not necessarily across the link-layer hop), and enables MIH services even in the absence of the corresponding link-layer support. An L2 or L3 based mechanism to identify a valid information server is also required. 

Ajoy->  IEEE 802.21 higher layer requirements are still being discussed by .21 team so IMHO adding reference to 802.21 higher layer requirements is not useful in anyway.  Also, for your information, based upon current 802.21 requirements discussion, L3 based mechanism to identify information server is not being considered by .21 team.  This has been discussed and current sense is that this will not be supported by higher layer transport protocol.
[[Stefano] ] Ajoy, perhaps you do not realize it, but you're contradicting yourself. On one hand, you use the argument that 802.21 has not finished discussing the higher layer aspects (e.g. requirements) and therefore we should not mention them. On the other hand, you do not hesitate to indicate that there is a common understanding in 802.21 (by the way not supported by any of the official meeting minutes) that a L3 based mechanism to identify information server is not being considered. I do believe there is merit in leaving the text, since when the requirements will be completed the WG will be ready to take them in. I've just discussed with the 802.21 vice-chair (could not reach the chair) and his understanding is clearly that even if 802.21 has not formally approved the requirements document, 802.21 indeed has a draft document to which many parties have contributed and that has been discussed at the 802.21 meetings. 

  So, I would request that we should drop above text from the charter for now.   

Scope of MIPSHOP:

o        Streamline and refine the current FMIPv6 specification. Some of this work (i.e., that related to information elements and their transport) may be done in collaboration with IEEE 802.21 (see item 5 below). Note: eventually, FMIPv6 may also use the related Command and Event Services, but the initial focus will be on Information Services. 

       Ajoy-> The implementer of .21 and FMIPv6 should decide how to use Command Service, Event Service and Information service along with FMIPv6. The major portion of ES, IS and CS will be defined by various L2 so why FMIPv6 will need to define such things.   Am I missing anything here? 

Work on the application of FMIPv6 on two examples link-layers for advancement as Informational RFCs: 

o        IEEE 802.16e (and WiMax), and 

Ajoy-> I think you are organizing a BOF about IPv6 over 802.16e.   Just wondering what will be role of 802.16e WG and MIPSHOP with respect to FMIPv6 over 802.16e work item?  

o        3G CDMA 2K networks 

1.	Produce a document on improving MIPv6 Return Routability via both Cryptographically Generated Addresses and Credit-based Authorization for advancement as Proposed Standard 

2.	Work on areas of mutual interest to IEEE 802.21 and MIPSHOP (see item 2 above): 

*	Produce a threat analysis and security model for IP-based discovery and transport of IEEE 802.21 Media-Independent Information Services for advancement as Informational RFC 

Ajoy-> As I mentioned above, the current sense of .21 team is that IP based discovery mechanism  won't be part of higher layer transport protocol so I do not see how the proposed work item is relevant to 802.21.  I would suggest that we should also drop this from charter unless there is other valid reason for that. 
[[Stefano] ] I do not think we should drop it simply be cause you have the sense that 802.21 may be doing something. There are several parties that will strongly push for a L3 discovery mechanism, since there are several scenarios where these can be used. I would leave the text as is. If 802.21 indicates they don't need, then they will not contribute to it. If other parties need it, they will contribute to it. 

*	Produce the required protocol enhancements or specifications for IP-based support of Media-Independent Information Services. This will be the initial focus, although eventually, additional work on Command and Event Services may be added. 

Ajoy->  We should defer this till 802.21 HL requirements are completed. Perhaps this is too early for present MIPSHOP charter. 
[[Stefano] ] I think it is generic enough to remain as is, since it does not cause confusion nor extra work in a way or the other. 

Goals and Milestones:

 10/06

 Submit draft-ietf-mipshop-miis-support-XX.txt to IESG for publication as Proposed Standard 

Ajoy->  Do you think this is achievable given that 802.21 requirements itself are not finalized yet?
[[Stefano] ] yes, it is. This is a mipshop draft, not an 802.21 document "ratified" by IETF. The content shall come from 802.21  

11/06

Submit draft-ietf-mipshop-fmipv6-rev-XX.txt to IESG for publication as Proposed Standard

Ajoy->. I would suggest perhaps we should try to be little aggressive on FMIPv6 completion date. We have already invested 4-5 years in FMIPv6. 

Delaying it even further will make it less attractive to various SDO(s) such as WIMAX and 3GPP E-UTRAN to consider this even if there is some interest. 

WIMAX stage 2 has already defined Simple Mobile/IP V6 so I would think that the next logical steps of WIMAX would be to consider FMIPv6 or some other fast handoff scheme as WIMAX is required to support VOIP sessions. This is just my personal opinion as I have not attended WIMAX meeting except the last one. 

 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop